// $Id: TG4G3Units.cxx 341 2008-05-26 11:04:57Z ivana $

//------------------------------------------------
// The Geant4 Virtual Monte Carlo package
// Copyright (C) 2007, 2008 Ivana Hrivnacova
// All rights reserved.
//
// For the licensing terms see geant4_vmc/LICENSE.
// Contact: vmc@pcroot.cern.ch
//-------------------------------------------------

/// \file TG4G3Units.cxx
/// \brief Implementation of the TG4G3Units class 
///
/// \author I. Hrivnacova; IPN, Orsay

#include "TG4G3Units.h"

// static const data members

const G4double TG4G3Units::fgkLength  = cm;
const G4double TG4G3Units::fgkAngle   = deg;
const G4double TG4G3Units::fgkTime    = s;
const G4double TG4G3Units::fgkCharge  = eplus;
const G4double TG4G3Units::fgkEnergy  = GeV;
const G4double TG4G3Units::fgkMass    = GeV;
const G4double TG4G3Units::fgkMassDensity  = g/cm3;
const G4double TG4G3Units::fgkAtomicWeight = g/mole;
const G4double TG4G3Units::fgkField   = kilogauss;

//_____________________________________________________________________________
TG4G3Units::~TG4G3Units() 
{
/// Destructor
}

